export default class PresetTemplateController {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/list', 'post', params, axiosOption, httpOption);
  }
  static listForHomemade (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/listForHomemade', 'post', params, axiosOption, httpOption);
  }
  
  static listForPreset (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/listForPreset', 'post', params, axiosOption, httpOption);
  }
  
  static listForCollect (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/listForCollect', 'post', params, axiosOption, httpOption);
  }
  
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/view', 'get', params, axiosOption, httpOption);
  }
  
  static export (sender, params, fileName) {
    return sender.download('/admin/app/promptTemplate/export', params, fileName);
  }
  
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/add', 'post', params, axiosOption, httpOption);
  }
  
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/update', 'post', params, axiosOption, httpOption);
  }
  
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/delete', 'post', params, axiosOption, httpOption);
  }

  static addCollect (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/addCollect', 'post', params, axiosOption, httpOption);
  }
  static deleteCollect (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/deleteCollect', 'post', params, axiosOption, httpOption);
  }
  static listForTree (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/promptTemplate/listForTree', 'post', params, axiosOption, httpOption);
  }
}
